Subject: bug#41905: Small change: In Customize, display name with with spaces, but keep symbol name underneath.

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 05 Sep 2020 14:56:20 +0200

Mauro Aranda <[email-masked]> writes:

>>> This patch changes custom-unlispify-menu-entry to display symbols
>>> names with the "display" text property, but to keep the symbol name
>>> underneath. This is good when using try-expand-dabbrev-all-buffers,
>>> such as when writing the init file.
>>
>> Makes sense to me, so I've applied this to Emacs 28.
>
> I think this change broke `C-h S' in Custom buffers:

[...]

> I'm not saying the change is bad.  I was just trying to see if this
> change will fulfill the request in Bug#400, and I guess it does: C-h v
> seems to work just fine, but I guess info-lookup-guess-custom-symbol
> wasn't ready for the change.

Nope.  Would fixing info-lookup-guess-custom-symbol here be a lot of work?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no